Mail archive
alpine-aports

[alpine-aports] [PATCH] main/bash-completion: upgrade to 2.4

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 15 Aug 2016 15:19:35 +0200

And switch to a fork of the original debian bash-completion package.
This "flavour" of bash-completion seems to be used by Gentoo as well.
---
 main/bash-completion/APKBUILD | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)
diff --git a/main/bash-completion/APKBUILD b/main/bash-completion/APKBUILD
index 42c1243..ab32253 100644
--- a/main/bash-completion/APKBUILD
+++ b/main/bash-completion/APKBUILD
_at_@ -2,17 +2,18 @@
 # Contributor: Kiyoshi Aman <kiyoshi.aman_at_gmail.com>
 # Maintainer: Eivind Uggedal <eivind_at_uggedal.com>
 pkgname=bash-completion
-pkgver=2.1
-pkgrel=3
+pkgver=2.4
+pkgrel=0
 pkgdesc="Command-line tab-completion for bash"
 url="http://bash-completion.alioth.debian.org/"
+url="https://github.com/scop/bash-completion"
 arch="noarch"
 license="GPL2+"
 depends="bash"
 depends_dev=
 makedepends="$depends_dev"
 install=""
-source="http://ftp.debian.org/debian/pool/main/b/${pkgname}/${pkgname}_${pkgver}.orig.tar.bz2"
+source="https://github.com/scop/${pkgname}/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.xz"
 
 # Provided with util-linux and networkmanager:
 _conflicting="
_at_@ -52,6 +53,10 @@ build() {
 package() {
 	cd "$builddir"
 	make -j1 DESTDIR="$pkgdir" install || return 1
+	
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 AUTHORS CHANGES CONTRIBUTING.md README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
 
 	cd "$pkgdir"/usr/share/bash-completion/completions
 	for c in $_conflicting; do
_at_@ -59,6 +64,6 @@ package() {
 	done
 }
 
-md5sums="4e2a9f11a4042a38ee79ddcd048e8b9e  bash-completion_2.1.orig.tar.bz2"
-sha256sums="2b606804a7d5f823380a882e0f7b6c8a37b0e768e72c3d4107c51fbe8a46ae4f  bash-completion_2.1.orig.tar.bz2"
-sha512sums="0bc71039ef136b1ccb72527eb40f2ed4068a58dc31b1ac1ee52a40e7c950ea4cfbb4f1bee2f0da6774e56062578fa3653096e6d306eea7f028dd55ff737e92fe  bash-completion_2.1.orig.tar.bz2"
+md5sums="1ea94864fb2b2446fbbdf82f10bd25df  bash-completion-2.4.tar.xz"
+sha256sums="c0f76b5202fec9ef8ffba82f5605025ca003f27cfd7a85115f838ba5136890f6  bash-completion-2.4.tar.xz"
+sha512sums="b852e0a38417dfc3754a91dae2d107f99a3c2970d835a4bbaa80f2a4db8d670bc3820ddc6ada26f68070f22fb4c1db7abe50ad489b1c0f8497b1e6e91be27627  bash-completion-2.4.tar.xz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 15 2016 - 15:19:35 GMT